## mender-connect 2.1.0+ds1

=== debian/changelog ===
mender-connect (2.1.0+ds1-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:32 +1100

mender-connect (2.1.0+ds1-4build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:44:31 +0000

mender-connect (2.1.0+ds1-4build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:16:48 +1200

mender-connect (2.1.0+ds1-4) unstable; urgency=medium

  * Disable autopkgtest
  * Add debian/patches/0003-Fix-racing-connection-tests.patch

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 10 Jan 2023 14:13:51 +0100

mender-connect (2.1.0+ds1-3) unstable; urgency=medium

  * Add debian/patches/0002-Fix-limits-test-user-name-mixup.patch

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 09 Jan 2023 22:08:10 +0100

mender-connect (2.1.0+ds1-2) unstable; urgency=medium

  * Install mender-connect.service
  * Inject version number into mender-connect binary
  * Install upstreams mender-connect.conf

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 08 Jan 2023 18:31:19 +0100

mender-connect (2.1.0+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #1026275)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 Dec 2022 18:44:12 +0100
