=== debian/control ===
Source: mender-connect
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>
Section: golang
#Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-creack-pty-dev,
               golang-github-go-ozzo-ozzo-validation.v4-dev,
               golang-github-mendersoftware-go-lib-micro-dev,
               golang-github-pkg-errors-dev,
               golang-github-satori-go.uuid-dev,
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-v2-dev,
	       golang-github-vmihailenco-msgpack.v5-dev,
               golang-logrus-dev,
               golang-websocket-dev,
               pkg-config,
               libglib2.0-dev,
               dbus-test-runner <!nocheck>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/mender-connect
Vcs-Git: https://salsa.debian.org/go-team/packages/mender-connect.git
Homepage: https://github.com/mendersoftware/mender-connect
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/mendersoftware/mender-connect

Package: mender-connect
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: mender-client
Built-Using: ${misc:Built-Using}
Description: remote shell access add-on
 This package contains the remote shell access add-on. It enhances the
 Mender client (mender-client), allowing to log in to the devices
 remotely and start a shell in a remote terminal session.
