## mender-connect 2.3.0+ds1

=== debian/changelog ===
mender-connect (2.3.0+ds1-1) unstable; urgency=medium

  * Build-dep pkg-config -> pkgconf
  * New upstream release.
  * Drop debian/patches, merged upstream.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 04 Jan 2025 18:05:20 +0100
