=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mender-connect
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>
 Section: golang
 #Testsuite: autopkgtest-pkg-go
@@ -18,7 +17,7 @@
 	       golang-github-vmihailenco-msgpack.v5-dev,
                golang-logrus-dev,
                golang-websocket-dev,
-               pkg-config,
+               pkgconf,
                libglib2.0-dev,
                dbus-test-runner <!nocheck>,
 Standards-Version: 4.6.0
