=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR := debian/mender-connect

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- \
		-ldflags "-X github.com/mendersoftware/mender-connect/config.Version=$(DEB_VERSION)"

override_dh_auto_install:
	dh_auto_install -- --no-source
	# Install example config provided by upstream
	$(MAKE) DESTDIR=$(DEB_DESTDIR) install-conf

override_dh_auto_test:
	dbus-test-runner \
		--bus-type=system \
		--max-wait=600 \
		-t dh_auto_test
