## mender-connect 2.3.1

=== debian/changelog ===
mender-connect (2.3.1-1+ubuntu+noble) stable; urgency=medium

  * Release 2.3.1-1+ubuntu+noble. See online docs for complete changelog

 -- root <root@9a6c7980e4e6>  Thu, 24 Jul 2025 18:17:12 +0000
