## mender-connect 2.3.1-build1

=== debian/changelog ===
mender-connect (2.3.1-build1-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.1-build1-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@93b1a329a638>  Tue, 22 Jul 2025 09:13:59 +0000
