## mender-connect 2.3.1-build2

=== debian/changelog ===
mender-connect (2.3.1-build2-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.1-build2-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@b013879a10f1>  Tue, 22 Jul 2025 14:21:48 +0000
