## mender-connect 2.3.1-build3

=== debian/changelog ===
mender-connect (2.3.1-build3-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.1-build3-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@77cc73b3aa80>  Wed, 23 Jul 2025 12:25:28 +0000
