## mender-connect 2.3.2-build2

=== debian/changelog ===
mender-connect (2.3.2-build2-1+ubuntu+noble) experimental; urgency=medium

  * Release 2.3.2-build2-1+ubuntu+noble. See online docs for complete
    changelog

 -- root <root@211ae36fb806>  Thu, 12 Feb 2026 10:01:08 +0000
