## mender-connect 2.4.0~git20250721.5e1858d

=== debian/changelog ===
mender-connect (2.4.0~git20250721.5e1858d-1+ubuntu+noble+builder2015827311) experimental; urgency=medium

  * Release 2.4.0~git20250721.5e1858d-1+ubuntu+noble+builder2015827311.
    See online docs for complete changelog

 -- root <root@cc923aa650f6>  Mon, 01 Sep 2025 20:16:53 +0000
