## mender-connect 2.4.0~git20250902.0cff691

=== debian/changelog ===
mender-connect (2.4.0~git20250902.0cff691-2+ubuntu+noble+builder2092099627) experimental; urgency=medium

  * Release 2.4.0~git20250902.0cff691-2+ubuntu+noble+builder2092099627.
    See online docs for complete changelog

 -- root <root@5165dffa9e1c>  Fri, 10 Oct 2025 07:46:03 +0000
