## mender-connect 2.4.0~git20260106.90358d1

=== debian/changelog ===
mender-connect (2.4.0~git20260106.90358d1-1+ubuntu+noble+builder2258752316) experimental; urgency=medium

  * Release 2.4.0~git20260106.90358d1-1+ubuntu+noble+builder2258752316.
    See online docs for complete changelog

 -- root <root@c0fd9d6d44cd>  Mon, 12 Jan 2026 20:29:48 +0000
