## mender-connect 2.4.0~git20260113.2950f12

=== debian/changelog ===
mender-connect (2.4.0~git20260113.2950f12-1+ubuntu+noble+builder2261058260) experimental; urgency=medium

  * Release 2.4.0~git20260113.2950f12-1+ubuntu+noble+builder2261058260.
    See online docs for complete changelog

 -- root <root@fd03eea18893>  Tue, 13 Jan 2026 20:18:43 +0000
