=== debian/control ===
Source: mender-connect
Maintainer: Mender Team <mender@northern.tech>
Section: admin
Priority: optional
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9)

Package: mender-connect
Architecture: any
Depends: dbus, mender-auth | mender-client (>3.2.0), ${shlibs:Depends}, ${misc:Depends}
Description: Mender Connect
 Mender Connect is a Mender add-on which enhances the Mender Client providing a bidirectional
 communication channel with the server. It supports the following troubleshooting features:
 - Interactive shell terminal sessions
 - File Transfer
 - Port forward
