## mender-connect 2.4.0~git20260204.f892dd6

=== debian/changelog ===
mender-connect (2.4.0~git20260204.f892dd6-1+ubuntu+noble+builder2325138823) experimental; urgency=medium

  * Release 2.4.0~git20260204.f892dd6-1+ubuntu+noble+builder2325138823.
    See online docs for complete changelog

 -- root <root@14d55866c7a1>  Fri, 13 Feb 2026 20:17:47 +0000
